import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const provinceGetFilesStateService = createAsyncThunk(
  "PROVINCE_GET_FILES_STATE_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("general_case_status", {
      params: {
        date1: d.date1,
        date2: d.date2,
        role: getRoleFromUrl(),
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
